Bug 1495113 - [DOC] haproxy documentation update needed
Summary: [DOC] haproxy documentation update needed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Dayle Parker
QA Contact: Suyog Sainkar
URL:
Whiteboard:
Depends On:
Blocks: 1503797
TreeView+ depends on / blocked
 
Reported: 2017-09-25 08:44 UTC by Niladri Roy
Modified: 2020-12-14 10:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-28 08:31:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot show cf-haproxy hostname (29.91 KB, image/png)
2017-09-25 08:44 UTC, Niladri Roy
no flags Details

Description Niladri Roy 2017-09-25 08:44:34 UTC
Created attachment 1330444 [details]
screenshot show cf-haproxy hostname

Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html-single/high_availability_guide/

Section Number and Name: 
CHAPTER 4. CONFIGURING THE HAPROXY LOAD BALANCER

Describe the issue: 
1. Documentation mentions host cf-ha and cf-haproxy (in screenshot attached), these hosts are not present

2. Screenshot in Step 6 needs to be updated, as the configuration has to be done on both the haproxy servers cf-hap1 and cf-hap2


Suggestions for improvement: 
1. remove the hostnames cf-ha and cf-haproxy
2. edit step 6 asking to make the change on both haproxy hosts
3. Update the screenshot

Additional information: 
the balance mode "roundrobin" was not enough to make sessions persistent, session cookies were enabled for customer to make them persistent.
Or one can use the balance mode "source" which makes the sessions persistent

Comment 2 Dayle Parker 2017-09-26 09:05:59 UTC
Thanks Niladri.

I've now confirmed with Luke Couzens (QE) that step 6 should be configured for both HAProxy servers, and that 'balance source' is OK for this config file.

I've made the changes now in the guide, to be published following peer review.

Cheers,
Dayle


Note You need to log in before you can comment on or make changes to this bug.